Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.collections
Class PermutationCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.collections.PermutationCImpl

public class PermutationCImpl
extends PhaseCImpl
implements CollectionC, CollectionS, CreateC, CreateS, ArrayC, ArrayS, PermutationS, PermutationC

A class that represents a permutation of elements of a collection. Permutation is used to generate a permutation of elements of a a collection and store them in an array for fast access. Permutation only mirrors the original collection. Updates of contents of Permutation will not reflect on the original collection.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`PermutationCImpl()`
`PermutationCImpl(Permutation nextPhase)`

Methods implemented by this class for interface swarm.collections.CollectionC
`setIndexFromMemberLoc, setReplaceOnly`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.collections.ArrayC
`create$setCount`

Methods implemented by this class for interface swarm.collections.ArrayS
`setCount`

Methods implemented by this class for interface swarm.collections.PermutationC
`setCollection, setLastPermutation, setUniformRandom`

Methods implemented by this class for interface swarm.defobj.SetInitialValueC
`setInitialValue`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods implemented by this class for interface swarm.collections.DefaultMemberS
`setDefaultMember`

Methods implemented by this class for interface swarm.defobj.SerializationC
`hdf5InCreate, lispInCreate`

Methods implemented by this class for interface swarm.defobj.SerializationS
`hdf5In, lispIn`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermutationCImpl

    public PermutationCImpl(Permutation nextPhase)

### PermutationCImpl

    public PermutationCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD